Skip to main content
`Ctrl`+`K`

# skbio.metadata.IntervalMetadataMixin

class skbio.metadata.IntervalMetadataMixin(interval_metadata=None)

  Attributes

  `interval_metadata` | `IntervalMetadata` object containing info about interval features.

  Methods

  `has_interval_metadata` | Determine if the object has interval metadata.

  Special methods

  `__copy__` |
  `__deepcopy__` |
  `__eq__` | Return self==value.
  `__ne__` | Return self!=value.

  Special methods (inherited)

  `__ge__` | Return self>=value.
  `__getstate__` | Helper for pickle.
  `__gt__` | Return self>value.
  `__le__` | Return self<=value.
  `__lt__` | Return self<value.
  `__str__` | Return str(self).

  Details

  interval_metadata

    `IntervalMetadata` object containing info about interval features.

    Notes

    This property can be set and deleted. When setting new interval metadata, a shallow copy of the `IntervalMetadata` object is made.

  abstractmethod __copy__()
  abstractmethod __deepcopy__(memo)
  abstractmethod __eq__(other)

    Return self==value.

  abstractmethod __ne__(other)

    Return self!=value.